Đến nội dung


Hình ảnh
- - - - -

[Hỏi] Tìm tọa độ giao điểm giữa đuờng Spline và Line


  • Please log in to reply
5 replies to this topic

#1 loc2210

loc2210

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 September 2011 - 07:08 PM

Các bạn cho mình hỏi , bây giời mình có 1 đường spline và tọa độ điểm đầu điểm , cuối của đường thằng
làm thể nào mình có thể lấy được tọa độ giao điểm giữa đường spline và 2 tọa độ điểm đó
thanks bạn

Bài viết đã được chỉnh sửa nội dung bởi ketxu: 29 September 2011 - 10:24 PM
Đặt tiêu đề sai quy định

  • 0

#2 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 29 September 2011 - 08:15 PM

Các bạn cho mình hỏi , bây giời mình có 1 đường spline và tọa độ điểm đầu điểm , cuối của đường thằng
làm thể nào mình có thể lấy được tọa độ giao điểm giữa đường spline và 2 tọa độ điểm đó
thanks bạn

Có một cách làm thủ công là vẽ cả hai đường đó ra rồi dùng lênh trim! Trim xong dùng lệnh ID để xem tọa độ!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 29 September 2011 - 09:27 PM

Các bạn cho mình hỏi , bây giời mình có 1 đường spline và tọa độ điểm đầu điểm , cuối của đường thằng
làm thể nào mình có thể lấy được tọa độ giao điểm giữa đường spline và 2 tọa độ điểm đó
thanks bạn

Đây là cách tìm điểm giao của 1 Spline với đoạn thẳng đi qua 2 điểm.

(defun C:GIAO()
(setq en1 (car (entsel "\nChon duong Spline: ")))
(setq p1 (getpoint "\nChon diem thu nhat: "))
(setq p2 (getpoint "\nChon diem thu hai: "))
(setq en2 (entmakex (list '(0 . "LINE") (cons 10 P1) (cons 11 P2))))
(setq pgiao (car (acet-geom-intersectwith en1 en2 0)))
(command "erase" en2 "")
(princ))

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 29 September 2011 - 10:36 PM

Các bạn cho mình hỏi , bây giời mình có 1 đường spline và tọa độ điểm đầu điểm , cuối của đường thằng
làm thể nào mình có thể lấy được tọa độ giao điểm giữa đường spline và 2 tọa độ điểm đó
thanks bạn

Đây là cách tìm điểm giao của 1 Spline với đoạn thẳng đi qua 2 điểm.


(defun C:GIAO()
(setq en1 (car (entsel "\nChon duong Spline: ")))
(setq p1 (getpoint "\nChon diem thu nhat: "))
(setq p2 (getpoint "\nChon diem thu hai: "))
(setq en2 (entmakex (list '(0 . "LINE") (cons 10 P1) (cons 11 P2))))
(setq pgiao (car (acet-geom-intersectwith en1 en2 [b]0[/b])))
(command "erase" en2 "")
(princ))

Nếu loc22210 sử dụng ACET, bạn cần lưu ý thêm :
- Lisp chỉ chạy khi CAD có cài Express Tool
- Về hàm acet-geom-intersectwith : có thể tùy biến mà sử dụng đối số 0.

Cú pháp:
(acet-geom-intersectwith en1 en2 flag)

Ghi chú:
- en1, en2 : ename đối tượng 1, 2
- flag : Số Integer thể hiện chế độ tìm giao, gồm :
+ 0: Không kéo dài đối tượng nào
+ 1: Kéo dài đối tượng en1
+ 2: Kéo dài đối tượng en2
+ 3: Kéo dài cả 2 đối tượng
- Thứ tự các giao điểm sắp xếp theo chiều en1


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 30 September 2011 - 07:35 AM

Có hàm nào tìm giao của cả 1 nhóm đối tượng bất kỳ và tìm giao của một đối tượng với 1 nhóm đối tượng bất kỳ không ketxu?
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 30 September 2011 - 08:04 AM

Hàm sẵn có thì hình như là không bác ạ. Cần dùng thì ta tự viết thôi ^^ Chắc cũng ngắn thôi ^^
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC